/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */


package com.funambol.framework.core;

import com.funambol.framework.core.VerDTD;
import com.funambol.framework.core.VerProto;

/**
 * This interface includes the costants relative to the SyncML.
 *
 *
 *
 * @version $Id: Constants.java,v 1.2 2006/08/07 21:05:28 nichele Exp $
 */
public interface Constants {
   public static final String MIMETYPE_SYNCMLDS_XML
                                        = "application/vnd.syncml+xml";
   public static final String MIMETYPE_SYNCMLDS_WBXML
                                        = "application/vnd.syncml+wbxml";
   public static final String MIMETYPE_SYNCMLDM_XML
                                        = "application/vnd.syncml.dm+xml";
   public static final String MIMETYPE_SYNCMLDM_WBXML
                                        = "application/vnd.syncml.dm+wbxml";
   public static final String MIMETYPE_SYNCML_DEVICEINFO_XML
                                        = "application/vnd.syncml-devinf+xml";
   public static final String MIMETYPE_SYNCML_DEVICEINFO_WBXML
                                        = "application/vnd.syncml-devinf+wbxml";

   public static final String NAMESPACE_METINF = "syncml:metinf";
   public static final String NAMESPACE_DEVINF = "syncml:devinf";


   public static final String AUTH_TYPE_NONE  = "none";
   public static final String AUTH_TYPE_MD5   = "syncml:auth-md5";
   public static final String AUTH_TYPE_HMAC  = "syncml:auth-MAC";
   public static final String AUTH_TYPE_BASIC = "syncml:auth-basic";
   public static final String AUTH_TYPE_CLEAR = "syncml:auth-clear";

   public static final String AUTH_SUPPORTED_TYPES = AUTH_TYPE_BASIC
                                                   + ','
                                                   + AUTH_TYPE_CLEAR
                                                   + ','
                                                   + AUTH_TYPE_MD5
                                                   + ','
                                                   + AUTH_TYPE_HMAC;

   public static final VerDTD DTD_1_0 = new VerDTD("1.0");
   public static final VerDTD DTD_1_1 = new VerDTD("1.1");

   public static final VerProto SYNCML_DS_1_0   = new VerProto("SyncML/1.0");
   public static final VerProto SYNCML_DS_1_1   = new VerProto("SyncML/1.1");
   public static final VerProto SYNCML_DS_1_1_1 = new VerProto("SyncML/1.1.1");
   public static final VerProto SYNCML_DM_1_1   = new VerProto("DM/1.1");

   public static final String FORMAT_B64 = "b64";
   public static final String FORMAT_CLEAR = "clear";
  }
