/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */


package com.funambol.framework.core;

/**
 * Corresponds to the &lt;Data&gt; tag in the SyncML represent DTD
 *
 *
 *
 * @version $Id: Data.java,v 1.2 2006/08/07 21:05:28 nichele Exp $
 */
public class Data implements java.io.Serializable {

    // ---------------------------------------------------------- Protected data
    protected String data;

    // ------------------------------------------------------------ Constructors
    /** For serialization purposes */
    protected Data() {}

    /**
     * Creates a new Data object with the given data value
     *
     * @param data the data value
     *
     */
    public Data(final String data) {
        this.data = data;
    }

    /**
     * Creates a new Data object with the given data value
     *
     * @param data the data value
     *
     */
    public Data(final long data) {
        this.data = String.valueOf(data);
    }

    // ---------------------------------------------------------- Public methods

    /**
     * Sets the data property
     *
     * @param data the data property
     */
    public void setData(String data) {
        this.data = data;
    }

    /**
     * Gets the data properties
     *
     * @return the data properties
     */
    public String getData() {
        return ((data == null) ? "" : data);
    }
}
