/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.core.dm.ddf;


/**
 * Corresponds to the &lt;Auth&gt; interior node in the management tree
 *
 *
 *
 * @version $Id: Auth.java,v 1.2 2006/08/07 21:09:19 nichele Exp $
 */
public class Auth {


   // --------------------------------------------------------------- Constants
   public static final String AUTH_ID      = "/Id";
   public static final String AUTH_SECRET  = "/Secret"  ;


   // ------------------------------------------------------------ Private data
   private String id;
   private String secret;


   // ------------------------------------------------------------ Constructors
   /** For serialization purposes */
   public Auth() {}

    /**
     * Creates a new ConAuth object with the given parameters
     *
     * @param id the authentication identifier
     * @param secret the type authentication secret
     */
    public Auth(final String id,
                   final String secret) {
        this.id         = id;
        this.secret     = secret;
    }


    // ---------------------------------------------------------- Public methods

    /**
     * Gets the id
     *
     * @return  the id
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the id
     *
     * @param  the id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * Gets the secret
     *
     * @return  the secret
     */
    public String getSecret() {
        return secret;
    }

    /**
     * Sets the secret
     *
     * @param  the secret
     */
    public void setSecret(String secret) {
        this.secret = secret;
    }


}
