/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.engine.dm;

/**
 * Base class for aggregated operations such as Atomic or Sequence.
 *
 *
 *
 * @version $Id: AggregatedManagementOperation.java,v 1.2 2006/08/07 21:09:20 nichele Exp $
 */
public abstract class AggregatedManagementOperation
extends ManagementOperation
implements java.io.Serializable {

    // ------------------------------------------------------------ Private data

    private ManagementOperation[] operations;

    // ------------------------------------------------------------ constructors

    protected AggregatedManagementOperation() {
        operations = new ManagementOperation[0];
    }

    // ---------------------------------------------------------- Public methods

    /**
     * Returns the contained commands.
     *
     * @return the contained commands.
     */
    public ManagementOperation[] getOperations() {
        return operations;
    }

    /**
     * Set the commands aggregation.
     *
     * @param commands the commands that will take part of the aggregation
     */
    public void setOperations(ManagementOperation[] operations) {
        this.operations = operations;
    }
}
