/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.engine.pipeline;

import com.funambol.framework.core.Sync4jException;
import com.funambol.framework.core.SyncML;

/**
 * A <i>InputMessageProcessor<i> is a class that process the input message.
 *
 * @version $Id: InputMessageProcessor.java,v 1.2 2006/08/07 21:09:20 nichele Exp $
 */
public interface InputMessageProcessor {

    // ---------------------------------------------------------- Public methods

    /**
     * Process and manipulate the input message.
     *
     * @param processingContext the message processing context
     * @param message the message to be processed
     * @throws Sync4jException
     */
    public void preProcessMessage(MessageProcessingContext processingContext, SyncML message) throws Sync4jException;

}
