/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */


package com.funambol.framework.server;

import com.funambol.framework.core.SyncML;

/**
 *
 */
public interface SyncResponse extends java.io.Serializable {

    /**
     * Returns the response content.
     *
     * @return the response content.
     */
    public byte[] getMessage();

    /**
     * Returns the mime type of the response.
     *
     * @return the mime type of the response.
     */
    public String getMimeType();

    /**
     * Returns the hmac header to add to the trasport header.
     *
     * @return the hamc header. <code>null</code> if hmac header is not required.
     */
    public String getHMACHeader();

    /**
     * Is this message the last message allowed for the current session?
     *
     * @return true if yes, false otherwise
     *
     */
    public boolean isCompleted();
}
