/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.server.dm;

import com.funambol.framework.engine.dm.ManagementProcessor;
import com.funambol.framework.engine.dm.DeviceDMState;
import com.funambol.framework.core.dm.ddf.DevInfo;


/**
 * This interface defines the structure of a Processor Selector. A Processor
 * selector is the component that implements the logic to select the specific
 * processor manager that should handle the management session.
 *
 *
 *
 * @version $Id: ProcessorSelector.java,v 1.2 2006/08/07 21:09:22 nichele Exp $
 */
public interface ProcessorSelector {

    /**
     * Returns the processor manager that will handle the management session. <br>
     * The selection can be done accordingly to any logic and relevan data.
     * However, at least the device info obtained by the client are given.
     *
     * @param dms the device management state
     * @param devInfo the ./DevInfo standardized object provided by the client
     *
     * @return the processor manager that will handle the management session
     */
    public ManagementProcessor getProcessor(DeviceDMState dms, DevInfo devInfo);
}
