/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.server.admin;

import com.funambol.framework.server.SyncUser;
import com.funambol.framework.server.store.Clause;
import com.funambol.framework.server.store.PersistentStoreException;

/**
 * A <i>UserManager</i> is a class that manager users and roles.
 *
 *
 *
 * @version $Id: UserManager.java,v 1.2 2006/08/07 21:09:24 nichele Exp $
 */
public interface UserManager {

    // ---------------------------------------------------------- Public methods
    public String[] getRoles() throws PersistentStoreException;

    public SyncUser[] getUsers(Clause clause) throws PersistentStoreException;

    public void getUserRoles(SyncUser user) throws PersistentStoreException;

    public void setUser(SyncUser user) throws PersistentStoreException;

    public void insertUser(SyncUser user) throws PersistentStoreException;

    public void deleteUser(SyncUser user) throws PersistentStoreException;

    public int countUsers(Clause clause) throws PersistentStoreException;
}
