/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.server.admin.ejb;

import java.rmi.RemoteException;
import javax.ejb.*;

import java.util.Hashtable;

import com.funambol.framework.server.SyncUser;
import com.funambol.framework.server.Sync4jDevice;
import com.funambol.framework.server.store.Clause;

import com.funambol.framework.config.Configuration;
import com.funambol.framework.security.Sync4jPrincipal;
import com.funambol.framework.engine.source.SyncSource;

import com.funambol.framework.server.error.ServerException;

import com.funambol.server.admin.AdminException;
import com.funambol.framework.server.Sync4jModule;

/**
 *
 *
 * @version $Id: AdminRemote.java,v 1.2 2006/08/07 21:09:24 nichele Exp $
 *
 */
public interface AdminRemote extends javax.ejb.EJBObject
{
    /**
     * CONFIGURATION
     */
    public Configuration getConfig() throws RemoteException;

    /**
     * USER
     */
    public String[] getRoles()
    throws RemoteException, ServerException, AdminException;

    public SyncUser[] getUsers(Clause clause)
    throws RemoteException, ServerException, AdminException;

    public void insertUser(SyncUser u)
    throws RemoteException, ServerException, AdminException;

    public void setUser(SyncUser u)
    throws RemoteException, ServerException, AdminException;

    public void deleteUser(String userName)
    throws RemoteException, ServerException, AdminException;

    public void importUser(SyncUser u)
    throws RemoteException, ServerException, AdminException;

    public int countUsers(Clause clause)
    throws RemoteException, ServerException, AdminException;

    /**
     * DEVICE
     */
    public Sync4jDevice[] getDevices(Clause clause)
    throws RemoteException, ServerException, AdminException;

    public String insertDevice(Sync4jDevice d)
    throws RemoteException, ServerException, AdminException;

    public void setDevice(Sync4jDevice d)
    throws RemoteException, ServerException, AdminException;

    public void deleteDevice(String deviceId)
    throws RemoteException, ServerException, AdminException;

    public int countDevices(Clause clause)
    throws RemoteException, ServerException, AdminException;


    /**
     * PRINCIPAL
     */
    public Sync4jPrincipal[] getPrincipals(Clause clause)
    throws RemoteException, ServerException, AdminException;

    public String insertPrincipal(Sync4jPrincipal p)
    throws RemoteException, ServerException, AdminException;

    public void deletePrincipal(String principalId)
    throws RemoteException, ServerException, AdminException;

    public int countPrincipals(Clause clause)
    throws RemoteException, ServerException, AdminException;

    /**
     * MODULE
     */
    public Sync4jModule[] getModulesName()
    throws RemoteException, ServerException, AdminException;

    public Sync4jModule getModule(String moduleId)
    throws RemoteException, ServerException, AdminException;

    public void insertModule(Sync4jModule syncModule, byte[] filess4j)
    throws RemoteException, ServerException, AdminException;

    public void deleteModule(String moduleId)
    throws RemoteException, ServerException, AdminException;

    /**
     * SOURCE
     */
    public void insertSource(String moduleId, String connectorId, String sourceTypeId, SyncSource source)
    throws RemoteException, ServerException, AdminException;

    public void setSource(String moduleId, String connectorId, String sourceTypeId, SyncSource source)
    throws RemoteException, ServerException, AdminException;

    public void deleteSource(String sourceUri)
    throws RemoteException, ServerException, AdminException;

}
