/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.server.engine;

import com.funambol.framework.core.ModificationCommand;
import com.funambol.framework.core.StatusCode;
import com.funambol.framework.engine.SyncOperation;
import com.funambol.framework.engine.source.SyncSource;
import com.funambol.server.engine.Sync4jOperationStatus;

/**
 * This class represents a SyncOperation excecuted without problems.
 *
 *
 * @version $Id: Sync4jOperationStatusOK.java,v 1.2 2006/08/07 21:09:24 nichele Exp $
 */
public class Sync4jOperationStatusOK extends Sync4jOperationStatus {

    /**
     * The code identifying this condition
     */
    private int statusCode;

    /** Creates a new instance of Sync4jOperationStatus */
    public Sync4jOperationStatusOK(SyncOperation       operation ,
                                   SyncSource          syncSource,
                                   ModificationCommand cmd       ) {
        super(operation, syncSource);
        this.cmd = cmd;
        this.statusCode = StatusCode.OK;
    }

    public Sync4jOperationStatusOK(SyncOperation       operation ,
                                   SyncSource          syncSource,
                                   ModificationCommand cmd       ,
                                   int                 statusCode) {
        super(operation, syncSource);
        this.cmd = cmd;
        this.statusCode = statusCode;
    }


    /** Which SyncML status code this condition corresponds to?
     *
     */
    public int getStatusCode() {
        return statusCode;
    }
}
