/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */


package com.funambol.server.engine.dm.ejb;

import javax.ejb.EJBLocalObject;

import com.funambol.framework.engine.dm.ManagementException;
import com.funambol.framework.notification.NotificationException;

/**
  *
  *
  * @version $Id: ManagementLocal.java,v 1.2 2006/08/07 21:09:25 nichele Exp $
  */
public interface ManagementLocal extends EJBLocalObject {

     public void bootstrap(int    messageType  ,
                           int    transportType,
                           String deviceUri    ,
                           String phoneNumber  ,
                           String username     ,
                           String password     ,
                           String info         )
     throws ManagementException, NotificationException;

     public void sendNotification(int    messageType  ,
                                  int    transportType,
                                  String phoneNumber  ,
                                  String operation    ,
                                  String info         )
     throws ManagementException, NotificationException;

     /**
     * Executes the management sequence identified by the given operation name.
     *
     * @param phoneNumber the phone number
     * @param operation the management operation name
     * @param info application specific detail information
     *
     * @throws ManagementException if a error occurs in the management engine,
     *         NotificationException if an error occurs in the notification process
     */
    public void executeManagementOperation( String phoneNumber  ,
                                            String operation    ,
                                            String info         )
    throws ManagementException, NotificationException;

 }
